Move an embed
Moves an embed to a specified folder. If the parent parameter is null, the embed will be moved to the root level.
Parameters
parent
nullable string
Unique identifier for the folder in which the embed will be moved. The folder must exist within the current workspace and must not be archived. If null, the embed will be moved to the root level.
Returns
Returns the updated embed object if the move succeeded. Throws an error if the folder does not exist or is archived.
post
/api/embeds/{id}/move
curl -X POST https://{workspace}.kitchen.co/api/embeds/{id}/move \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'X-Requested-With: XMLHttpRequest' \
-H 'Authorization: Bearer {API_KEY}'
Response
{
"archived_at": "2024-03-07T07:47:02+00:00",
"created_at": "2024-03-12T12:54:41+00:00",
"id": "pe_12b3c33d7f42bcbd1b373ff9",
"title": "The embed title",
"description": null,
"updated_at": "2024-03-12T12:54:41+00:00",
"url": "https://example.com",
"visibility": "internal"
}